# Maintainer: Giacomo Lenzini <GiacoLenzo2109@gmail.com>
# Contributor: Bernhard Landauer <oberon@manjaro.org>

pkgname=croco-icons
pkgver=20211005
pkgrel=1
pkgdesc='Official Croco icons'
arch=('any')
url="https://gitlab.com/croco-os/themes-and-settings/artwork/$pkgname"
licence=GPL
source=("git+$url.git")
md5sums=('SKIP')

pkgver() {
  date +%Y%m%d
}

package() {
  install -dm755 $pkgdir/usr/share/icons/croco
  cp -r $srcdir/croco-icons/logo $pkgdir/usr/share/icons/croco
  
  install -dm755 $pkgdir/usr/share/icons/hicolor/16x16/apps
  install -dm755 $pkgdir/usr/share/icons/hicolor/22x22/apps
  install -dm755 $pkgdir/usr/share/icons/hicolor/24x24/apps
  install -dm755 $pkgdir/usr/share/icons/hicolor/32x32/apps
  install -dm755 $pkgdir/usr/share/icons/hicolor/48x48/apps
  install -dm755 $pkgdir/usr/share/icons/hicolor/64x64/apps
  install -dm755 $pkgdir/usr/share/icons/hicolor/96x96/apps
  install -dm755 $pkgdir/usr/share/icons/hicolor/128x128/apps
  install -dm755 $pkgdir/usr/share/icons/hicolor/scalable/apps
  
  cd $pkgdir/usr/share/icons/hicolor
  src=/usr/share/icons/croco/logo
  ln -s $src/16x16.png 16x16/apps/croco.png
  ln -s $src/22x22.png 22x22/apps/croco.png
  ln -s $src/24x24.png 24x24/apps/croco.png
  ln -s $src/32x32.png 32x32/apps/croco.png
  ln -s $src/48x48.png 48x48/apps/croco.png
  ln -s $src/64x64.png 64x64/apps/croco.png
  ln -s $src/96x96.png 96x96/apps/croco.png
  ln -s $src/128x128.png 128x128/apps/croco.png
  ln -s $src/logo.svg scalable/apps/croco.svg
  ln -s $src/logo.svg scalable/apps/croco-os.svg
  ln -s $src/logo.svg ../whiskermenu-croco.svg
}

